Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
problems starting quake4
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
testorr
n00b
n00b


Joined: 06 Nov 2006
Posts: 4

PostPosted: Sat Jan 27, 2007 11:18 pm    Post subject: problems starting quake4 Reply with quote

hi guys, having some problems when starting Q4.

the only other game i play sofar it enemy-territory, which runs fine, just to have that been said :P

i keep getting this error:

Initializing SDL subsystem
Loading GL driver 'libGL.so.1' through SDL
WARNING: SDL_GL_LoadLibrary libGL.so.1 failed: No dynamic GL support in video driver

here is the compete output: http://pastebin.ca/raw/330480

any help appreciated,

testorr
Back to top
View user's profile Send private message
testorr
n00b
n00b


Joined: 06 Nov 2006
Posts: 4

PostPosted: Wed Jan 31, 2007 11:03 pm    Post subject: Reply with quote

*bump*
anybody?
Back to top
View user's profile Send private message
whig
l33t
l33t


Joined: 27 Nov 2004
Posts: 970
Location: New Zealand

PostPosted: Thu Feb 01, 2007 1:53 am    Post subject: Reply with quote

libsdl should be compiled with the opengl use flag. My opengl use flag is global so I always get it.
Back to top
View user's profile Send private message
PaulBredbury
Watchman
Watchman


Joined: 14 Jul 2005
Posts: 7310

PostPosted: Thu Feb 01, 2007 2:16 am    Post subject: Reply with quote

Install it with an ebuild, to get the latest patch conveniently. This ebuild adds an "smp" USE flag, and uses a quake2 icon instead of the pink (!) quake4 icon.

/usr/local/portage/games-fps/quake4-bin/quake4-bin-1.3.2.ebuild

Code:
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils versionator games

MY_PV=$(replace_version_separator 2 '-')

DESCRIPTION="Sequel to Quake 2, an iD Software 3D first-person shooter"
HOMEPAGE="http://www.quake4game.com/"
SRC_URI="mirror://idsoftware/quake4/linux/quake4-linux-${MY_PV}.x86.run"

LICENSE="QUAKE4"
SLOT="0"
KEYWORDS="-* amd64 x86"
IUSE="alsa cdinstall dedicated opengl smp"
RESTRICT="strip"

UIDEPEND="virtual/opengl
   x86? (
      x11-libs/libXext
      x11-libs/libX11
      x11-libs/libXau
      x11-libs/libXdmcp
      media-libs/libsdl )
   amd64? (
      app-emulation/emul-linux-x86-sdl
      app-emulation/emul-linux-x86-xlibs
      || (
         >=app-emulation/emul-linux-x86-xlibs-7.0
         x11-drivers/nvidia-drivers
         x11-drivers/nvidia-legacy-drivers
         >=x11-drivers/ati-drivers-8.8.25-r1 ) )
   alsa? ( >=media-libs/alsa-lib-1.0.6 )"

RDEPEND="sys-libs/glibc
   dedicated? ( app-misc/screen )
   amd64? ( app-emulation/emul-linux-x86-baselibs )
   opengl? ( ${UIDEPEND} )
   cdinstall? ( games-fps/quake4-data )
   !dedicated? ( !opengl? ( ${UIDEPEND} ) )"

S=${WORKDIR}

GAMES_CHECK_LICENSE="yes"
dir=${GAMES_PREFIX_OPT}/quake4
Ddir=${D}/${dir}

src_unpack() {
   unpack_makeself ${A}
}

src_install() {
   insinto "${dir}"
   exeinto "${dir}"

   doins *.txt README q4icon.bmp us/version.info README-1.3.htm || die "docs"
   doins -r pb || die "pb"
   doexe openurl.sh || die "openurl.sh"
   doexe bin/Linux/x86/quake4.x86 bin/Linux/x86/q4ded.x86 \
      bin/Linux/x86/libgcc_s.so.1 bin/Linux/x86/libstdc++.so.* \
      bin/Linux/x86/libSDL-1.2.id.so.0 bin/Linux/x86/quake4smp.x86 \
      || die "doexe x86 exes/libs"

   insinto "${dir}"/q4base
   doins q4base/* us/q4base/* || die "doins q4base"
   if use dedicated
   then
      games_make_wrapper quake4-ded ./q4ded.x86 "${dir}" "${dir}"
   fi

   if use opengl || ! use dedicated
   then
      if use smp ; then
         games_make_wrapper quake4 ./quake4smp.x86 "${dir}" "${dir}"
      else
         games_make_wrapper quake4 ./quake4.x86 "${dir}" "${dir}"
      fi
      newicon q4icon.bmp quake4.bmp || die "copying icon"
      # Using the quake2 icon, because the quake4 icon is pink!
      make_desktop_entry quake4 "Quake IV" quake2.xpm
   fi

   prepgamesdirs
}

pkg_postinst() {
   games_pkg_postinst

   if ! use cdinstall
   then
      einfo "You need to copy pak001.pk4 through pak012.pk4, along with"
      einfo "zpak*.pk4 from either your installation media or your hard drive"
      einfo "to ${dir}/q4base before running the game."
      echo
   fi
   if use opengl || ! use dedicated
   then
      einfo "To play the game run:"
      einfo " quake4"
      echo
   fi
}
Back to top
View user's profile Send private message
PaulBredbury
Watchman
Watchman


Joined: 14 Jul 2005
Posts: 7310

PostPosted: Thu Feb 08, 2007 11:44 am    Post subject: Reply with quote

Here's an ebuild for the Quake4 beta.

/usr/local/portage/games-fps/quake4-bin/quake4-bin-1.4.0_beta.ebuild

Code:
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils games

if [[ "${PV:0-5}" = "_beta" ]] ; then
        MY_PV=${PV/_beta}
        MY_PV=beta-${MY_PV}
else
        MY_PV=${PV}
fi

DESCRIPTION="Sequel to Quake 2, an id Software 3D first-person shooter"
HOMEPAGE="http://www.quake4game.com/"
SRC_URI="mirror://idsoftware/quake4/linux/quake4-linux-${MY_PV}.x86.run"

LICENSE="QUAKE4"
SLOT="0"
KEYWORDS="-* amd64 x86"
IUSE="alsa cdinstall dedicated opengl smp"
RESTRICT="strip"

UIDEPEND="virtual/opengl
   x86? (
      x11-libs/libXext
      x11-libs/libX11
      x11-libs/libXau
      x11-libs/libXdmcp
      media-libs/libsdl )
   amd64? (
      app-emulation/emul-linux-x86-sdl
      app-emulation/emul-linux-x86-xlibs
      || (
         >=app-emulation/emul-linux-x86-xlibs-7.0
         x11-drivers/nvidia-drivers
         x11-drivers/nvidia-legacy-drivers
         >=x11-drivers/ati-drivers-8.8.25-r1 ) )
   alsa? ( >=media-libs/alsa-lib-1.0.6 )"

RDEPEND="sys-libs/glibc
   dedicated? ( app-misc/screen )
   amd64? ( app-emulation/emul-linux-x86-baselibs )
   opengl? ( ${UIDEPEND} )
   cdinstall? ( games-fps/quake4-data )
   !dedicated? ( !opengl? ( ${UIDEPEND} ) )"

S=${WORKDIR}

GAMES_CHECK_LICENSE="yes"
dir=${GAMES_PREFIX_OPT}/quake4
Ddir=${D}/${dir}

src_unpack() {
   unpack_makeself ${A}
}

src_install() {
   insinto "${dir}"
   exeinto "${dir}"

   doins *.{htm,txt} README q4icon.bmp us/version.info || die "docs"
   doins -r pb || die "pb"
   doexe openurl.sh || die "openurl.sh"
   doexe bin/Linux/x86/quake4.x86 bin/Linux/x86/q4ded.x86 \
      bin/Linux/x86/libgcc_s.so.1 bin/Linux/x86/libstdc++.so.* \
      bin/Linux/x86/libSDL-1.2.id.so.0 bin/Linux/x86/quake4smp.x86 \
      || die "doexe x86 exes/libs"

   insinto "${dir}"/q4base
   doins q4base/* us/q4base/* || die "doins q4base"
   if use dedicated
   then
      games_make_wrapper quake4-ded ./q4ded.x86 "${dir}" "${dir}"
   fi

   if use opengl || ! use dedicated
   then
      if use smp ; then
         games_make_wrapper quake4 ./quake4smp.x86 "${dir}" "${dir}"
      else
         games_make_wrapper quake4 ./quake4.x86 "${dir}" "${dir}"
      fi
      newicon q4icon.bmp quake4.bmp || die "copying icon"
      # Using the quake2 icon, because the quake4 icon is pink!
      make_desktop_entry quake4 "Quake IV" quake2.xpm
   fi

   prepgamesdirs
}

pkg_postinst() {
   games_pkg_postinst

   if ! use cdinstall
   then
      einfo "You need to copy pak001.pk4 through pak012.pk4, along with"
      einfo "zpak*.pk4 from either your installation media or your hard drive"
      einfo "to ${dir}/q4base before running the game."
      echo
   fi
   if use opengl || ! use dedicated
   then
      einfo "To play the game run:"
      einfo " quake4"
      echo
   fi
}
Back to top
View user's profile Send private message
PaulBredbury
Watchman
Watchman


Joined: 14 Jul 2005
Posts: 7310

PostPosted: Fri Apr 06, 2007 3:15 pm    Post subject: Reply with quote

Here's an ebuild for the new beta:

/usr/local/portage/games-fps/quake4-bin/quake4-bin-1.4.1_beta.ebuild

Code:
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils games

if [[ "${PV:0-5}" = "_beta" ]] ; then
   MY_PV=${PV/_beta}
   MY_PV=beta-${MY_PV}
else
   MY_PV=${PV}
fi

DESCRIPTION="Sequel to Quake 2, an id Software 3D first-person shooter"
HOMEPAGE="http://www.quake4game.com/"
SRC_URI="mirror://idsoftware/quake4/linux/quake4-linux-${MY_PV}.x86.run"

LICENSE="QUAKE4"
SLOT="0"
KEYWORDS="-* amd64 x86"
IUSE="alsa cdinstall dedicated opengl smp"
RESTRICT="strip"

UIDEPEND="virtual/opengl
   x86? (
      x11-libs/libXext
      x11-libs/libX11
      x11-libs/libXau
      x11-libs/libXdmcp
      media-libs/libsdl )
   amd64? (
      app-emulation/emul-linux-x86-sdl
      app-emulation/emul-linux-x86-xlibs
      || (
         >=app-emulation/emul-linux-x86-xlibs-7.0
         x11-drivers/nvidia-drivers
         x11-drivers/nvidia-legacy-drivers
         >=x11-drivers/ati-drivers-8.8.25-r1 ) )
   alsa? ( >=media-libs/alsa-lib-1.0.6 )"

RDEPEND="sys-libs/glibc
   dedicated? ( app-misc/screen )
   amd64? ( app-emulation/emul-linux-x86-baselibs )
   opengl? ( ${UIDEPEND} )
   cdinstall? ( games-fps/quake4-data )
   !dedicated? ( !opengl? ( ${UIDEPEND} ) )"

S=${WORKDIR}
dir=${GAMES_PREFIX_OPT}/quake4
Ddir=${D}/${dir}

GAMES_CHECK_LICENSE="yes"

QA_TEXTRELS="${dir:1}/pb/pbag.so
   ${dir:1}/pb/pbags.so
   ${dir:1}/pb/pbcl.so
   ${dir:1}/pb/pbcls.so
   ${dir:1}/pb/pbsv.so
   ${dir:1}/libSDL-1.2.id.so.0"
QA_EXECSTACK="${dir:1}/quake4.x86
   ${dir:1}/quake4smp.x86
   ${dir:1}/q4ded.x86
   ${dir:1}/libgcc_s.so.1
   ${dir:1}/libSDL-1.2.id.so.0
   ${dir:1}/libstdc++.so.6"

src_unpack() {
   unpack_makeself ${A}
}

src_install() {
   insinto "${dir}"
   doins *.{htm,txt} README q4icon.bmp us/version.info || die "docs"
   doins -r pb q4mp || die "pb q4mp"

   exeinto "${dir}"
   doexe openurl.sh || die "openurl.sh"
   doexe bin/Linux/x86/{quake4{,smp}.x86,q4ded.x86,*.so.?} \
      || die "doexe x86 exes/libs"

   insinto "${dir}"/q4base
   doins q4base/* us/q4base/* || die "doins q4base"
   if use dedicated ; then
      games_make_wrapper quake4-ded ./q4ded.x86 "${dir}" "${dir}"
   fi

   if use opengl || ! use dedicated ; then
      if use smp ; then
         games_make_wrapper quake4 ./quake4smp.x86 "${dir}" "${dir}"
      else
         games_make_wrapper quake4 ./quake4.x86 "${dir}" "${dir}"
      fi
      newicon q4icon.bmp quake4.bmp || die "copying icon"
      # Using the quake2 icon, because the quake4 icon is pink!
      make_desktop_entry quake4 "Quake IV" quake2.xpm
   fi

   prepgamesdirs
}

pkg_postinst() {
   games_pkg_postinst

   if ! use cdinstall ; then
      elog "You need to copy pak001.pk4 through pak012.pk4, along with"
      elog "zpak*.pk4 from either your installation media or your hard drive"
      elog "to ${dir}/q4base before running the game."
      echo
   fi
   if use opengl || ! use dedicated ; then
      elog "To play the game, run:  quake4"
      elog
      # The default language is Spanish!
      elog "To reset the language from Spanish to English, run:"
      elog " sed -i 's:spanish:english:' ~/.quake4/q4base/Quake4Config.cfg"
      elog
      elog "Saved games from previous Quake 4 versions are not compatible."
      echo
   fi
}
Back to top
View user's profile Send private message
N3Cr0 Cr0W
n00b
n00b


Joined: 05 Nov 2005
Posts: 15
Location: Houston, TX

PostPosted: Fri Apr 06, 2007 6:02 pm    Post subject: Reply with quote

I'm not sure but do we support posting beta games in the official tree, i have a pending bump request, should i close it?
_________________
Asus M2R32-MVP 580X w/ AMD Athlon 64 X2 4600
2x1024 Corsair CM2X1024-5400C4 (4-4-4-4-12T)
HIS ATI Radeon X1950 PRO/CreativeLabs Audigy(EMU10k1)
Hitachi Deskstar 7K500 500GB SATAII
gentoo-sources-2.6.20-r8
gnome 2.16.3
Back to top
View user's profile Send private message
PaulBredbury
Watchman
Watchman


Joined: 14 Jul 2005
Posts: 7310

PostPosted: Fri Apr 06, 2007 11:36 pm    Post subject: Reply with quote

Feel free to post the ebuild if you want to, I have no copyright on it. At the moment I'm not sure if the beta should even enter the tree - I had problems with xorg hanging. And I have a legacy (search bugzilla for quake4) of disagreeing on a couple of points with the current ebuild maintainer :)
Back to top
View user's profile Send private message
PaulBredbury
Watchman
Watchman


Joined: 14 Jul 2005
Posts: 7310

PostPosted: Tue Apr 17, 2007 8:27 pm    Post subject: Reply with quote

I'm amazed at how flaky Quake4 seems (all versions: 1.3.2, 1.4.0_beta, 1.4.1_beta). On a Core 2 Duo with 8800GTS 640mb graphics card, x86 and quake4-smp, nvidia-drivers-1.0.9755-r1:

It needs in xorg.conf to fix a crash at startup:
Code:
Option "NoFlip" "True"

Then I sacrifice a chicken :?
Code:
nvclock -a flipping=0 -a quality=1 -a vsync=1 -x $DISPLAY


The next two options are described in /usr/share/doc/nvidia-drivers-100.14.11/README.bz2

This seems to help with slowdowns in Quake4:
Code:
export __GL_YIELD="NOTHING"


This seems to do nothing, but might as well enable it:
Code:
export __GL_DOOM3=1


Edit: Found a way to make Doom3 & Quake4 smooth:
Code:
set com_fixedtic 1
set com_syncgameframe 1


To stop mouse speed from being too fast in Quake4 menus:
Code:
export SDL_VIDEO_X11_DGAMOUSE=0


Last edited by PaulBredbury on Thu Jun 28, 2007 8:39 pm; edited 1 time in total
Back to top
View user's profile Send private message
PaulBredbury
Watchman
Watchman


Joined: 14 Jul 2005
Posts: 7310

PostPosted: Tue Jun 19, 2007 2:55 pm    Post subject: Reply with quote

New quake4-bin-1.4.2.ebuild

From /opt/quake4/CHANGES_14.txt
Code:
Quake4 1.4.2:
-------------

* player lean, player models lean in the direction of movement
use g_playerLean to scale or disable the effect (client side)
* fix wallhugging on ramps
fix also makes ramps slightly faster
* horizontal speed fully maintained when crouch sliding and hitting a ramp
previous version had a little dip
1.4.1 had a bug that caused a sharp speed drop (this is also fixed)
* RG ammo box 10->7
change was initiallly advertised in 1.4.1 but didn't make it in
* si_fps limited to 90fps for q4mp/, now declared in gamecode so mods can change their max
* predict weapon changes for the local client. more responsive on high ping
(can be turned off with net_clientPredictWeaponSwitch 0)
* revert the projectile code to 1.4.0, not trying to predict projectiles anymore
the prediction code of 1.4.1 can be enabled with g_predictProjectiles 1 (client side)
(was causing too many bad artifacts)
* reworked the hit sounds / hit feedback propagation. fixed skipping problems
* change network demo extension to include the protocol number
for Quake 4 1.4.2, the extension is .ndmo85
* fix network demos not setting the si_fps value properly
* fix client prediction being irregular when connected to a TV repeater
* added r_skipSky for a cheap black sky
* fix a crash in single player (sound related)
* fix several SMP-related crashes
* fix a crash in autodownload server
* hud_showSpeed cvar (shows current horizontal speed)
* hud_showInput cvar (shows the input state to learn how to make particular moves)
* s_useOcclusion no longer cheat protected (can be changed by network clients now)
* no gauntlet spinup time, damage is immediate now
* bse_rateLimit defaults to 3, showing all shotgun pellet impacts
* added g_nailTrail, g_grenadeTrail, g_rocketTrail, g_railTrail, g_napalmTrail to disable weapon trails
* updated reference netdemo included for performance tests: id_perftest.ndmo85
Back to top
View user's profile Send private message
PaulBredbury
Watchman
Watchman


Joined: 14 Jul 2005
Posts: 7310

PostPosted: Sat Aug 04, 2007 4:21 pm    Post subject: Reply with quote

Hooray, I've finally managed to get proper 5.1 surround sound (rather than duplicated stereo) in Doom3, Quake4 and ETQW (Enemy Territory: Quake Wars).

In ~/.asoundrc
Code:
pcm.doom {
   slave.pcm surround51
   slave.channels 6
   type route
   ttable.0.0 1
   ttable.1.1 1
   ttable.2.4 1
   ttable.3.5 1
   ttable.4.2 1
   ttable.5.3 1
}


In ~/.doom3/base/autoexec.cfg, ~/.quake4/q4base/autoexec.cfg and ~/.etqwcl/base/autoexec.cfg
Code:
seta s_driver "alsa"
seta s_alsa_pcm "doom"
seta s_numberOfSpeakers "6"


The reason this is needed is apparently because of different standards for 3.1 and 4.0 surround sound compatibility.

Edit: My ~/.asoundrc is here.


Last edited by PaulBredbury on Tue Nov 22, 2011 11:52 pm; edited 4 times in total
Back to top
View user's profile Send private message
Naib
Advocate
Advocate


Joined: 21 May 2004
Posts: 4159
Location: Removed by Neddy

PostPosted: Sun Nov 04, 2007 4:32 pm    Post subject: Reply with quote

doesn't work with QuakeWars. complaints it can't find the alse device doom
_________________
A free press is the unsleeping guardian of every other right that free men prize; it is the most dangerous foe of tyranny. Where men have the habit of liberty, the Press will continue to be the vigilant guardian of the rights of the ordinary citizen.
Back to top
View user's profile Send private message
PaulBredbury
Watchman
Watchman


Joined: 14 Jul 2005
Posts: 7310

PostPosted: Sun Nov 04, 2007 5:02 pm    Post subject: Reply with quote

Naib wrote:
doesn't work with QuakeWars

Oh yes it does. With a Soundblaster Audigy 4 anyway:
Code:
------ Alsa Sound Initialization -----
dlopen(libasound.so.2)
asoundlib version: 1.0.15
opened Alsa PCM device doom for playback
device buffer size: 5461 frames ( 65532 bytes )
allocated a mix buffer of 49152 bytes
Back to top
View user's profile Send private message
Naib
Advocate
Advocate


Joined: 21 May 2004
Posts: 4159
Location: Removed by Neddy

PostPosted: Sun Nov 04, 2007 11:56 pm    Post subject: Reply with quote

mmm must be my shoddy soundcard then
the Audigy2 literly blew up last week so I quickly pop down to PC-World to grab another. Seems Creative has stopped selling their EMU10k1/2/x cards and are now pushing X-fi cards and CA0106-based cards (even labeling some CA0106 cards as X-fi)

my card (cheap-o) doesn't have a hardware mixer so I was playing around with ~/.asound to get dmix to work but when defining a new pcm.???? in that file and selecting it in the autoexec.cfg QuakeWars Would just complain

So been playing with PulseAudio and have most things working (have TEamspeak now with mic&snd \o/) HOWEVER... Quakewars is still playing up
if I populate ~/.asound with

Code:

pcm.!default {
    type pulse
}
ctl.!default {
    type pulse
}


all apps work (very nicely and pulseaudio does it job VERY well) BUT quakeWars complains it cant open the device
Code:

snd_pcm_open SND_PCM_STREAM_PLAYBACK 'default' failed: No such file or directory


If I drop say yr .asoundrc into mine and set QW to use "doom" for its PCM it complains the same message but default replaced with "doom"

Only way around it is to either set snd to "oss" and then no other snd app will work OR comment out the re-defining what ALSA's default snd system is .

NOw all ALSA apps should just work with PulseAudio so I am guessing one of 3things
1) my cheap-ass card too cheap (was a imidiate buy to fill a gap, since it is very hard to find a decent snd card now esp with the EMU being dropped by creative)
2) QuakeWars has an incomplete ALSA/OpenAL implementation
3) I am running 64bit and the emul-sound libs are lacking PulseAudio 32libs <-- this is more then likely why pulseaudio is FAIL with QW at the moment
_________________
A free press is the unsleeping guardian of every other right that free men prize; it is the most dangerous foe of tyranny. Where men have the habit of liberty, the Press will continue to be the vigilant guardian of the rights of the ordinary citizen.
Back to top
View user's profile Send private message
PaulBredbury
Watchman
Watchman


Joined: 14 Jul 2005
Posts: 7310

PostPosted: Mon Nov 05, 2007 12:11 am    Post subject: Reply with quote

Just use ebay and buy a cheap Audigy 4, doesn't matter if it's second-hand.
Back to top
View user's profile Send private message
Naib
Advocate
Advocate


Joined: 21 May 2004
Posts: 4159
Location: Removed by Neddy

PostPosted: Mon Nov 05, 2007 12:13 am    Post subject: Reply with quote

yer planning todo. But Xmas and all. On my list of things to buy in the new year. Would really like to just get this sorted tho
I have an idea (disabled HAL auto-setting pulseaudio and manually added an extra sink and hope that works with QW) will try tomorrow
_________________
A free press is the unsleeping guardian of every other right that free men prize; it is the most dangerous foe of tyranny. Where men have the habit of liberty, the Press will continue to be the vigilant guardian of the rights of the ordinary citizen.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum